Package org.apache.calcite.avatica

## Class MetaImpl.MetaSuperTable

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaSuperTable

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaSuperTable
    extends java.lang.Object

Metadata describing a super-table.

### Field Summary

Fields
`java.lang.String` `supertableName`
`java.lang.String` `tableCat`
`java.lang.String` `tableName`
`java.lang.String` `tableSchem`

### Constructor Summary

Constructors
`MetaSuperTable​(java.lang.String tableCat, java.lang.String tableSchem, java.lang.String tableName, java.lang.String supertableName)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tableCat

    public final java.lang.String tableCat

#### tableSchem

    public final java.lang.String tableSchem

#### tableName

    public final java.lang.String tableName

#### supertableName

    public final java.lang.String supertableName

### Constructor Detail

#### MetaSuperTable

    public MetaSuperTable​(java.lang.String tableCat,
                          java.lang.String tableSchem,
                          java.lang.String tableName,
                          java.lang.String supertableName)